org.apache.sysds.runtime.controlprogram.parfor

## Class ParWorker

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.ParWorker

- Direct Known Subclasses:
    DataPartitionerRemoteSparkMapper, LocalParWorker, RemoteDPParForSparkWorker, RemoteParForSparkWorker

      public abstract class ParWorker
      extends Object

  Super class for master/worker pattern implementations. Central place to execute set or range tasks.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParWorker()`
    `ParWorker(long ID, ParForBody body, boolean monitor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getExecutedIterations()` Returns a summary statistic of executed iterations and hence should only be called after execution.
    `long` | `getExecutedTasks()` Returns a summary statistic of executed tasks and hence should only be called after execution.
    `ExecutionContext` | `getExecutionContext()`
    `LocalVariableMap` | `getVariables()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParWorker

          public ParWorker()

    - #### ParWorker

          public ParWorker(long ID,
                           ParForBody body,
                           boolean monitor)

  - ### Method Detail

    - #### getExecutionContext

          public ExecutionContext getExecutionContext()

    - #### getVariables

          public LocalVariableMap getVariables()

    - #### getExecutedTasks

          public long getExecutedTasks()

      Returns a summary statistic of executed tasks and hence should only be called after execution.
      Returns:
        number of executed tasks

    - #### getExecutedIterations

          public long getExecutedIterations()

      Returns a summary statistic of executed iterations and hence should only be called after execution.
      Returns:
        number of executed iterations

Copyright © 2020 The Apache Software Foundation. All rights reserved.